Mailinglist Archive: opensuse (1897 mails)

< Previous Next >
Re: [opensuse] OT: SLES11 kernel downgrade
  • From: Patrick Shanahan <paka@xxxxxxxxxxxx>
  • Date: Tue, 6 Jul 2010 13:22:12 -0400
  • Message-id: <20100706172212.GM25168@xxxxxxxxxxxxxxx>
* James Pifer <jep@xxxxxxxxxxxxxxxx> [07-06-10 13:16]:
Hoping someone here can give me a hand. I upgraded a SLES11 server to
SP1 and also ran online updates, which updated the kernel to
2.6.32.13-0.4.1. Now the server is having problems with xen. I have two
other servers running SP1, but kernel 2.6.32.12-0.7.1, and they do not
have the same issues.

I posted on Novell's SLES forum several hours ago but have not heard
back. How do I downgrade the kernel? Going into software in yast only
shows me the latest. If I try to install the previous kernel manually it
won't let me because a newer one is already installed.

If anyone has any suggestions I'd appreciate it.

dl the kernel packages you want installed, cd to that location
rpm -i --oldpackage <kernel-package1> <kernel-package2> <...>

then, depending on whether you retain old kernels, be sure to select the
proper kernel when you reboot.
--
Patrick Shanahan Plainfield, Indiana, USA HOG # US1244711
http://wahoo.no-ip.org Photo Album: http://wahoo.no-ip.org/gallery2
Registered Linux User #207535 @ http://counter.li.org
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
References